import express from 'express'
import { engine } from 'express-handlebars'

const app = express()

app.engine('handlebars', engine())
app.set('view engine', 'handlebars')
app.set('views', './src/views')

app.use(express.static('dist'))

const siteName = "Pronoun Site"

app.get('/', (req, res) => {
  const pageTitle = siteName;
  res.render('home', { siteName, pageTitle } )
})

app.get('/:nominative/:accusative/:pronominal_possessive/:predicative_possessive/:reflexive', (req, res) => {
  const {
    nominative,
    accusative,
    pronominal_possessive: pronominalPossessive,
    predicative_possessive: predicativePossessive,
    reflexive,
  } = req.params
  
  const pageTitle = [nominative, accusative, pronominalPossessive, predicativePossessive, reflexive].join("/") + " - " + siteName;

  res.render('individual', {
    siteName, pageTitle, nominative, accusative, pronominalPossessive, predicativePossessive, reflexive
  })
})

app.listen(3000)
